Ask Your Question
0

invalid byte sequence in US-ASCII only on first puppet run

asked 2017-05-23 08:31:45 -0600

Hello, I am running puppet v4.10.0 on both my master and agents along side Katello 3.3.0. I am receiving the error "invalid byte sequence in US-ASCII" on certain manifests ONLY when I run puppet the first time while provisioning a machine with RHEL 7.3. This error did not occur before I upgraded from puppet 3.6. Puppet runs without error in subsequent runs. 'LANG' is set to en_US.UTF-8 on both my master and agents. 'file' reports that the affected manifests are ASCII. I have tried removing non-ASCII characters from the manifests using "perl -i -pe 's/[^[:ascii:]]//g'" to no change. I have also tried removing invalid ASCII sequences with "iconv -f ASCII -t ASCII -c" to no change, so I'm fairly confident the files really are valid ASCII. Can anyone please help me figure this out?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-06-01 07:27:07 -0600

FranzCC gravatar image

Hi,
ran across the same problem using PE.
You can search the forum and will get a lot of links.
Read my thread which i fixed by myself.
https://ask.puppet.com/question/25515...

Rgds.
Franz

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2017-05-23 08:31:45 -0600

Seen: 88 times

Last updated: Jun 01